function PoJ_GetMouseCoordString()
  local x, y = GetCursorPosition();
  local frame = WorldMapFrame.ScrollContainer
  local scale = frame:GetEffectiveScale();
  x =     (x / scale - frame:GetLeft()  ) / frame:GetWidth()
  y = 1 - (y / scale - frame:GetBottom()) / frame:GetHeight()
  if x >= 0 and x <= 1 and y >= 0 and y <= 1 then
    x = tostring(PoJ_Round(100 * x, 1))
    y = tostring(PoJ_Round(100 * y, 1))
    if strlen(x) < 3 then
      x = x .. ".0"
    end
    if strlen(y) < 3 then
      y = y .. ".0"
    end
    return x .. "    " .. y
  end
end


function PoJ_GetPlayerCoordString()
  local mapid = C_Map.GetBestMapForUnit("player")
  if (mapid) then
    local position = C_Map.GetPlayerMapPosition(mapid, "player")
    if position ~= nil then
      local x = tostring(PoJ_Round(100 * position.x, 1))
      local y = tostring(PoJ_Round(100 * position.y, 1))
      if strlen(x) < 3 then
        x = x .. ".0"
      end
      if strlen(y) < 3 then
        y = y .. ".0"
      end
      return x .. "    " .. y
    end
  end
  return ""
end


function PoJ_ShowCoords()
  PoJ_ShowObject(PoJ_Coord, PoJ_Vars.CoordShow and not IsInInstance())
end


function PoJ_ShowCoords_Map()
  PoJ_ShowObject(PoJ_MapPlayerCoord, PoJ_Vars.CoordShowMap)
  PoJ_ShowObject(PoJ_MapMouseCoord , PoJ_Vars.CoordShowMap)
end
